# Content update

An action block that updates content in another app, such as contacts or calendar events.

The fiber will pause until the content has updated.

Note! Only the “default messaging app” can modify `content://sms` and `content://mms-sms` URI’s on Android 4.4+.

Caution! This is advanced feature and should only be used with knowledge of the content structure, may result in loss of or corrupt data.

## Input arguments

- Content URI — URI of content to update.
- Where clause — an SQL `WHERE` clause for matching a sub-selection of the content identified by Content URI, default is all content.
- Parameters — an array of values to replace any `?` within the Where clause.
- Values — a dictionary with the columns to update and the values thereof.

## Output variables

- Number of rows updated — variable to assign the number of rows actually updated.